## dlm 4.0.9

=== fence/Makefile ===
DESTDIR=
PREFIX=/usr
BINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man

BIN_TARGET = dlm_stonith
MAN_TARGET = dlm_stonith.8

BIN_SOURCE = stonith_helper.c

CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
	-fstack-clash-protection -Wl,-z,now

CFLAGS += -fPIE -DPIE
CFLAGS += `xml2-config --cflags`
CFLAGS += -I../include

LDFLAGS += -Wl,-z,relro -pie
LDFLAGS += `xml2-config --libs`
LDFLAGS += -ldl

all: $(BIN_TARGET)

$(BIN_TARGET): $(BIN_SOURCE)
	$(CC) $(BIN_SOURCE) $(CFLAGS) $(LDFLAGS) -o $@ -L.

clean:
	rm -f *.o *.so *.so.* $(BIN_TARGET)


INSTALL=$(shell which install)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
	$(INSTALL) -c -m 755 $(BIN_TARGET) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 644 $(MAN_TARGET) $(DESTDIR)/$(MANDIR)/man8/

=== debian/changelog ===
dlm (4.0.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:25 +0100

dlm (4.0.9-1) unstable; urgency=medium

  * [34a0910] New upstream release (4.0.9)
  * [28d80f7] Refresh patches for new version
  * [e833693] Update Standards-Version to 4.4.0
  * [115086e] Add Build-Depends on uuid-dev
  * [bb396e7] Move libdlmcontrol.pc to libdlmcontrol-dev
  * [0277b4f] Update libdlmcontrol3.symbols
  * [b0015e3] Add init script

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Jul 2019 17:25:42 +0200

=== debian/control ===
Source: dlm
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Ferenc Wágner <wferi@debian.org>,
 Valentin Vidic <vvidic@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 12),
 libcfg-dev (>= 1.99),
 libcpg-dev (>= 1.99),
 libcmap-dev (>= 1.99),
 libquorum-dev (>= 1.99),
 libsystemd-dev,
 libxml2-dev,
 pacemaker-dev,
 uuid-dev,
 pkg-config
Homepage: https://pagure.io/dlm
Vcs-Browser: https://salsa.debian.org/ha-team/dlm
Vcs-Git: https://salsa.debian.org/ha-team/dlm.git

Package: dlm-controld
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 corosync,
 kmod,
 ${misc:Depends},
 ${shlibs:Depends},
# we're taking over /usr/sbin/dlm_{controld,tool}
Breaks:
 cman,
Replaces:
 cman,
Description: Distributed Lock Manager control daemon
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the control daemon and utility.

Package: libdlm3
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Distributed Lock Manager library
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This is the client library for applications using the lock manager.

Package: libdlm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libdlm3 (= ${binary:Version})
Description: Distributed Lock Manager library development
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the DLM library.

Package: libdlmcontrol3
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Distributed Lock Manager control library
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This is the client library for applications using the lock manager daemon?

Package: libdlmcontrol-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libdlmcontrol3 (= ${binary:Version})
Breaks: libdlm-dev (<<4.0.9-1)
Replaces: libdlm-dev (<<4.0.9-1)
Description: Distributed Lock Manager control library development
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the DLM control library.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- LIBNUM=/lib/$(DEB_HOST_MULTIARCH)

DEFDIR=debian/dlm-controld/etc/default
SDDIR= debian/dlm-controld/lib/systemd/system
override_dh_install:
	dh_install
	mkdir -p "$(DEFDIR)" "$(SDDIR)"
	cp init/dlm.sysconfig "$(DEFDIR)"/dlm
	cp init/dlm.service "$(SDDIR)"

override_dh_installinit:
	dh_installinit -pdlm-controld --name=dlm

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Depends: dlm-controld
Tests: basic
Restrictions: needs-root

Depends: dlm-controld
Tests: corosync
Restrictions: needs-root, isolation-machine

## dlm 4.1.0

=== dlm_controld/Makefile ===
DESTDIR=
PREFIX=/usr
LIBNUM=/lib64
BINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/$(LIBNUM)
HDRDIR=$(PREFIX)/include 
MANDIR=$(PREFIX)/share/man
PKGDIR=$(LIBDIR)/pkgconfig

USE_SD_NOTIFY=yes

BIN_TARGET = dlm_controld

LIB_NAME = libdlmcontrol
LIB_MAJOR = 3
LIB_MINOR = 2
LIB_SO = $(LIB_NAME).so
LIB_SMAJOR = $(LIB_SO).$(LIB_MAJOR)
LIB_TARGET = $(LIB_SO).$(LIB_MAJOR).$(LIB_MINOR)
LIB_PC = $(LIB_NAME).pc
LIB_PCIN = $(LIB_NAME).pc.in

BIN_SOURCE = action.c \
             cpg.c \
             daemon_cpg.c \
             helper.c \
             crc.c \
             fence_config.c \
             fence.c \
             main.c \
             plock.c \
             config.c \
             member.c \
             logging.c \
             rbtree.c \
             node_config.c
LIB_SOURCE = lib.c

CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
	-fstack-clash-protection -Wl,-z,now

BIN_CFLAGS += $(CFLAGS) -fPIE -DPIE
BIN_CFLAGS += -I../include -I../libdlm
LIB_CFLAGS += $(CFLAGS) -fPIC

BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum -luuid
LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie

PKG_CONFIG ?= pkg-config
ifeq ($(USE_SD_NOTIFY),yes)
	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
		      -DUSE_SD_NOTIFY
	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
endif

all: $(LIB_TARGET) $(BIN_TARGET) $(LIB_PC)

$(BIN_TARGET): $(BIN_SOURCE)
	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(BIN_LDFLAGS) -o $@ -L.

$(LIB_TARGET): $(LIB_SOURCE)
	$(CC) $^ $(LIB_CFLAGS) $(LIB_LDFLAGS) -shared -o $@ -Wl,-soname=$(LIB_SMAJOR)
	ln -sf $(LIB_TARGET) $(LIB_SO)
	ln -sf $(LIB_TARGET) $(LIB_SMAJOR)

$(LIB_PC): $(LIB_PCIN)
	cat $(LIB_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@

clean:
	rm -f *.o *.so *.so.* $(BIN_TARGET) $(LIB_TARGET) *.pc


INSTALL=$(shell which install)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)/$(HDRDIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man5
	$(INSTALL) -d $(DESTDIR)/$(PKGDIR)
	$(INSTALL) -m 755 $(BIN_TARGET) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 755 $(LIB_TARGET) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_SO) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_SMAJOR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -m 644 $(LIB_PC) $(DESTDIR)/$(PKGDIR)
	$(INSTALL) -m 644 libdlmcontrol.h $(DESTDIR)/$(HDRDIR)
	$(INSTALL) -m 644 dlm_controld.8 $(DESTDIR)/$(MANDIR)/man8/
	$(INSTALL) -m 644 dlm.conf.5 $(DESTDIR)/$(MANDIR)/man5/

=== dlm_tool/Makefile ===
DESTDIR=
PREFIX=/usr
BINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man

BIN_TARGET = dlm_tool
MAN_TARGET = dlm_tool.8

BIN_SOURCE = main.c

CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
	-fstack-clash-protection -Wl,-z,now

CFLAGS += -fPIE -DPIE
CFLAGS += -I../include -I../libdlm -I../dlm_controld

LDFLAGS += -Wl,-z,relro -pie
LDFLAGS += -L../libdlm -L../dlm_controld
LDFLAGS += -lpthread -ldlm -ldlmcontrol

all: $(BIN_TARGET)

$(BIN_TARGET): $(BIN_SOURCE)
	$(CC) $(BIN_SOURCE) $(CFLAGS) $(LDFLAGS) -o $@

clean:
	rm -f *.o *.so *.so.* $(BIN_TARGET)


INSTALL=$(shell which install)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
	$(INSTALL) -c -m 755 $(BIN_TARGET) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 644 $(MAN_TARGET) $(DESTDIR)/$(MANDIR)/man8/

=== libdlm/Makefile ===
DESTDIR=
PREFIX=/usr
LIBNUM=/lib64
LIBDIR=$(PREFIX)/$(LIBNUM)
HDRDIR=$(PREFIX)/include 
MANDIR=$(PREFIX)/share/man
PKGDIR=$(LIBDIR)/pkgconfig
UDEVDIR=/usr/lib/udev/rules.d

LIB_NAME = libdlm
LIB_MAJOR = 3
LIB_MINOR = 0
LIB_O = $(LIB_NAME).o
LIB_SO = $(LIB_NAME).so
LIB_SMAJOR = $(LIB_SO).$(LIB_MAJOR)
LIB_TARGET = $(LIB_SO).$(LIB_MAJOR).$(LIB_MINOR)
LIB_PC = $(LIB_NAME).pc
LIB_PCIN = $(LIB_NAME).pc.in

LLT_NAME = libdlm_lt
LLT_MAJOR = 3
LLT_MINOR = 0
LLT_O = $(LLT_NAME).o
LLT_SO = $(LLT_NAME).so
LLT_SMAJOR = $(LLT_SO).$(LLT_MAJOR)
LLT_TARGET = $(LLT_SO).$(LLT_MAJOR).$(LLT_MINOR)
LLT_PC = $(LLT_NAME).pc
LLT_PCIN = $(LLT_NAME).pc.in

HDR_TARGET = libdlm.h

MAN_TARGET = \
	man/dlm_cleanup.3 \
	man/dlm_close_lockspace.3 \
	man/dlm_create_lockspace.3 \
	man/dlm_dispatch.3 \
	man/dlm_get_fd.3 \
	man/dlm_lock.3 \
	man/dlm_lock_wait.3 \
	man/dlm_ls_lock.3 \
	man/dlm_ls_lock_wait.3 \
	man/dlm_ls_lockx.3 \
	man/dlm_ls_pthread_init.3 \
	man/dlm_ls_unlock.3 \
	man/dlm_ls_unlock_wait.3 \
	man/dlm_new_lockspace.3 \
	man/dlm_open_lockspace.3 \
	man/dlm_pthread_init.3 \
	man/dlm_release_lockspace.3 \
	man/dlm_unlock.3 \
	man/dlm_unlock_wait.3 \
	man/libdlm.3

UDEV_TARGET = 51-dlm.rules

SOURCE = libdlm.c

CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
	-Wall \
	-Wformat \
	-Wformat-security \
	-Wmissing-prototypes \
	-Wnested-externs \
	-Wpointer-arith \
	-Wextra -Wshadow \
	-Wcast-align \
	-Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes \
	-Winline \
	-Wredundant-decls \
	-Wno-sign-compare \
	-Wno-unused-parameter \
	-Wp,-D_FORTIFY_SOURCE=2 \
	-Wp,-D_GLIBCXX_ASSERTIONS \
	-fstack-protector-strong \
	-fstack-clash-protection \
	-fexceptions \
	-fasynchronous-unwind-tables \
	-fdiagnostics-show-option \
	-fPIC \
	-Wl,-z,now

LIB_CFLAGS += $(CFLAGS) -D_REENTRANT
LLT_CFLAGS += $(CFLAGS)

LIB_LDFLAGS += $(LDFLAGS) -lpthread
LLT_LDFLAGS += $(LDFLAGS)

all: $(LIB_TARGET) $(LLT_TARGET) $(LIB_PC) $(LLT_PC)

$(LIB_O): $(SOURCE) 
	$(CC) $< $(LIB_CFLAGS) -c -o $@

$(LLT_O): $(SOURCE) 
	$(CC) $< $(LLT_CFLAGS) -c -o $@

$(LIB_TARGET): $(LIB_O)
	$(CC) $^ $(LIB_LDFLAGS) -shared -o $@ -Wl,-soname=$(LIB_SMAJOR)
	ln -sf $(LIB_TARGET) $(LIB_SO)
	ln -sf $(LIB_TARGET) $(LIB_SMAJOR)

$(LLT_TARGET): $(LLT_O)
	$(CC) $^ $(LLT_LDFLAGS) -shared -o $@ -Wl,-soname=$(LLT_SMAJOR)
	ln -sf $(LLT_TARGET) $(LLT_SO)
	ln -sf $(LLT_TARGET) $(LLT_SMAJOR)

$(LIB_PC): $(LIB_PCIN)
	cat $(LIB_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@

$(LLT_PC): $(LLT_PCIN)
	cat $(LIB_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@

clean:
	rm -f *.o *.so *.so.* *.a *.pc

INSTALL=$(shell which install)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)/$(HDRDIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man3
	$(INSTALL) -d $(DESTDIR)/$(PKGDIR)
	$(INSTALL) -d $(DESTDIR)/$(UDEVDIR)
	$(INSTALL) -c -m 755 $(LIB_TARGET) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -c -m 755 $(LLT_TARGET) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_SO) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_SMAJOR) $(DESTDIR)/$(LIBDIR)
	cp -a $(LLT_SO) $(DESTDIR)/$(LIBDIR)
	cp -a $(LLT_SMAJOR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -m 644 $(LIB_PC) $(DESTDIR)/$(PKGDIR)
	$(INSTALL) -m 644 $(LLT_PC) $(DESTDIR)/$(PKGDIR)
	$(INSTALL) -c -m 644 $(HDR_TARGET) $(DESTDIR)/$(HDRDIR)
	$(INSTALL) -m 644 $(MAN_TARGET) $(DESTDIR)/$(MANDIR)/man3/
	$(INSTALL) -m 644 $(UDEV_TARGET) $(DESTDIR)/$(UDEVDIR)

=== debian/changelog ===
dlm (4.1.0-1) unstable; urgency=medium

  * [a3feca1] Enable Salsa CI
  * [61a184e] Set upstream branch for gbp
  * [b7c0d98] New upstream version 4.1.0
  * [f13d897] Update Standards-Version to 4.5.1
  * [25f4562] Refresh patches for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 23 Jan 2021 09:03:26 +0100

dlm (4.0.9-2) unstable; urgency=medium

  * [e372059] Mark basic test as superficial (Closes: #972517, #954103)
  * [74581ab] Update Standards-Version to 4.5.0
  * [7d58940] Update debhelper to version 13
  * [1ec9aa6] Fix gcc build warnings
  * [4a81b13] Set Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Mon, 19 Oct 2020 22:09:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
  libcfg-dev (>= 1.99),
+ libcmap-dev (>= 1.99),
  libcpg-dev (>= 1.99),
- libcmap-dev (>= 1.99),
  libquorum-dev (>= 1.99),
  libsystemd-dev,
  libxml2-dev,
  pacemaker-dev,
+ pkg-config,
  uuid-dev,
- pkg-config
 Homepage: https://pagure.io/dlm
 Vcs-Browser: https://salsa.debian.org/ha-team/dlm
 Vcs-Git: https://salsa.debian.org/ha-team/dlm.git

=== debian/tests/control ===
Depends: dlm-controld
Tests: basic
Restrictions: needs-root, superficial

Depends: dlm-controld
Tests: corosync
Restrictions: needs-root, isolation-machine

=== debian/watch ===
# Upstream does not provide tarballs since 4.0.8, only tags, which
# we merge into the debian/master packaging branch directly.
# Thus this watch file is for the Debian QA dashboard only.
version=4
opts="mode=git" https://pagure.io/dlm.git refs/tags/dlm-([\d.]+)

## dlm 4.1.1

=== dlm_controld/Makefile ===
--- 
+++ 
@@ -49,15 +49,19 @@
 BIN_CFLAGS += -I../include -I../libdlm
 LIB_CFLAGS += $(CFLAGS) -fPIC
 
-BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
+BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
 BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum -luuid
-LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
+LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
 
 PKG_CONFIG ?= pkg-config
 ifeq ($(USE_SD_NOTIFY),yes)
 	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
 		      -DUSE_SD_NOTIFY
 	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
+endif
+
+ifeq (, $(shell $(PKG_CONFIG) --libs "libquorum >= 3.1.0"))
+	 $(error "Requires libquorum at least version 3.1.0")
 endif
 
 all: $(LIB_TARGET) $(BIN_TARGET) $(LIB_PC)

=== fence/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 CFLAGS += -fPIE -DPIE
 CFLAGS += `xml2-config --cflags`
 CFLAGS += -I../include
+CFLAGS += $(shell pkg-config --cflags pacemaker-fencing)
 
-LDFLAGS += -Wl,-z,relro -pie
+LDFLAGS += -Wl,-z,relro -Wl,-z,defs -pie
 LDFLAGS += `xml2-config --libs`
 LDFLAGS += -ldl

=== debian/changelog ===
dlm (4.1.1-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:50:50 +0100

dlm (4.1.1-1) unstable; urgency=medium

  * [14a17b3] Switch to the monolithic Salsa CI recipe
  * [ab71a78] Enable diffoscope in Salsa CI
  * [4319123] Turns out upstream provides tarballs after all
  * [5181ea2] New upstream release (4.1.1)
  * [64477ad] Refresh our patches
  * [db9afff] Acknowledge new symbols
  * [c7e6742] New patch: Fix typo: specfic => specific
  * [fb18deb] Update Standards-Version to 4.6.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Nov 2021 12:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## dlm 4.2.0

=== dlm_tool/Makefile ===
--- 
+++ 
@@ -15,12 +15,12 @@
 	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
 	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
 	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
-	-fstack-clash-protection -Wl,-z,now
+	-fstack-clash-protection -fcf-protection=full
 
 CFLAGS += -fPIE -DPIE
 CFLAGS += -I../include -I../libdlm -I../dlm_controld
 
-LDFLAGS += -Wl,-z,relro -pie
+LDFLAGS += -Wl,-z,relro -Wl,-z,now -pie
 LDFLAGS += -L../libdlm -L../dlm_controld
 LDFLAGS += -lpthread -ldlm -ldlmcontrol

=== libdlm/Makefile ===
--- 
+++ 
@@ -78,14 +78,13 @@
 	-fexceptions \
 	-fasynchronous-unwind-tables \
 	-fdiagnostics-show-option \
-	-fPIC \
-	-Wl,-z,now
+	-fPIC
 
-LIB_CFLAGS += $(CFLAGS) -D_REENTRANT
-LLT_CFLAGS += $(CFLAGS)
+LIB_CFLAGS += $(CFLAGS) -D_REENTRANT -fcf-protection=full
+LLT_CFLAGS += $(CFLAGS) -fcf-protection=full
 
-LIB_LDFLAGS += $(LDFLAGS) -lpthread
-LLT_LDFLAGS += $(LDFLAGS)
+LIB_LDFLAGS += $(LDFLAGS) -lpthread -Wl,-z,now
+LLT_LDFLAGS += $(LDFLAGS) -Wl,-z,now
 
 all: $(LIB_TARGET) $(LLT_TARGET) $(LIB_PC) $(LLT_PC)

=== debian/changelog ===
dlm (4.2.0-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:20 +0200

dlm (4.2.0-3) unstable; urgency=medium

  * [d012be6] Update Standards-Version to 4.6.2 (no changes required)
  * [75ef292] New patch: dlm_controld: remove unnecessary header include
    (Closes: #1042166)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Jul 2023 21:05:33 +0200

dlm (4.2.0-2) unstable; urgency=medium

  * [668bd92] New patch: Revert "treewide: add -fcf-protection=full to CFLAGS"

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Nov 2022 20:28:53 +0100

dlm (4.2.0-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * [a0a15db] New upstream version 4.2.0
  * [ef31dac] Refresh our patches
  * [bb2f6d8] Update Standards-Version to 4.6.1 (no changes required)
  * [5e44154] New patch: Disable annobin plugin not available in Debian
  * [a7bcd2e] Update copyright year for Debian files

  [ Helmut Grohne ]
  * [c9b1c2e] Fix FTCBFS: export PKG_CONFIG for all targets. (Closes: #1024076)

 -- Valentin Vidic <vvidic@debian.org>  Wed, 16 Nov 2022 00:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: dlm
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 # Ensure that we link against all needed libraries (cf. Policy 10.2)
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# Fix FTCBFS: export PKG_CONFIG for all targets
+include /usr/share/dpkg/architecture.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@

## dlm 4.3.0

=== Makefile ===
CURDIR		= $(shell pwd)
ARCH		= $(shell uname -m)

all install clean: %:
	set -e; for d in libdlm dlm_controld dlm_tool fence; do $(MAKE) -C $$d $@; done
	rm -rf dlm.spec dlm-*.tar.gz *rpm* noarch $(ARCH)
	# clean .version only if we are within a git repo otherwise
	# we cannot regenerated the .version information
	if [ -d ".git" ]; then rm -f .version; fi

check:
	@echo $@ not supported

distcheck:
	@echo $@ not supported

# version file can only be generated within a .git checkout
.PHONY: .version
.version: clean include/version.cf
	if [ -d ".git" ]; then \
		rm -f $@-t $@; \
		relver="`git tag |grep ^dlm| sort -ur | head -n 1 | sed -e 's#dlm-##g'`"; \
		numcomm="`git log dlm-$$relver..HEAD | grep ^commit | wc -l`"; \
		alphatag="`git rev-parse --short HEAD`"; \
		rpmdate="`date "+%a %b %d %Y"`"; \
		echo relver=\"$$relver\" >> $@-t; \
		echo numcomm=\"$$numcomm\" >> $@-t; \
		echo alphatag=\"$$alphatag\" >> $@-t; \
		echo rpmdate=\"$$rpmdate\" >> $@-t; \
		chmod a-w $@-t; \
		mv $@-t $@; \
		rm -f $@-t*; \
	fi

dlm.spec: .version dlm.spec.in
	rm -f $@-t $@
	. ./.version; \
	cat $@.in | sed \
		-e "s#@relver@#$$relver#g" \
		-e "s#@rpmdate@#$$rpmdate#g" \
		-e "s#@numcomm@#$$numcomm#g" \
		-e "s#@alphatag@#$$alphatag#g" \
	> $@-t;
	# if there is no .git directory, this is a release tarball
	# drop information about number of commits and alphatag
	# from spec file.
	if [ ! -d ".git" ]; then \
		sed -i -e "s#%glo.*numcomm.*##g" $@-t; \
		sed -i -e "s#%glo.*alphatag.*##g" $@-t; \
	fi
	chmod a-w $@-t
	mv $@-t $@
	rm -f $@-t*

tarball: dlm.spec .version
	. ./.version; \
	if [ ! -d ".git" ] || [ "$(RELEASE)" = 1 ]; then \
		tarver=$$relver; \
	else \
		tarver="`echo $$relver.$$numcomm.$$alphatag`"; \
	fi; \
	touch dlm-$$tarver.tar.gz; \
	tar -zcp \
	    --transform "s/^./dlm-$$relver/" \
	    -f dlm-$$tarver.tar.gz \
	    --exclude=dlm-$$tarver.tar.gz \
	    --exclude=.git \
	    .

RPMBUILDOPTS    = --define "_sourcedir $(CURDIR)" \
		  --define "_specdir $(CURDIR)" \
		  --define "_builddir $(CURDIR)" \
		  --define "_srcrpmdir $(CURDIR)" \
		  --define "_rpmdir $(CURDIR)"

srpm: tarball dlm.spec
	rpmbuild $(RPMBUILDOPTS) --nodeps -bs dlm.spec

rpm: tarball dlm.spec
	rpmbuild $(RPMBUILDOPTS) -ba dlm.spec

=== dlm_controld/Makefile ===
--- 
+++ 
@@ -38,36 +38,60 @@
 
 CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
 	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
-	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
+	-Wextra -Wshadow -Wcast-align -Wwrite-strings \
 	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
 	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
 	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
 	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
-	-fstack-clash-protection -Wl,-z,now
+	-fstack-clash-protection
 
 BIN_CFLAGS += $(CFLAGS) -fPIE -DPIE
 BIN_CFLAGS += -I../include -I../libdlm
 LIB_CFLAGS += $(CFLAGS) -fPIC
 
-BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
-BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum -luuid
-LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
+# Temporary disable annobin plugin
+#LIB_CFLAGS += -fplugin=annobin
+
+BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,now -pie
+BIN_LDFLAGS += -lpthread -lrt -luuid
+LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,now -pie
 
 PKG_CONFIG ?= pkg-config
+PKG_CONFIG_FLAGS := --errors-to-stdout
+
 ifeq ($(USE_SD_NOTIFY),yes)
-	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
+	SYSTEMD_CFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags libsystemd) \
 		      -DUSE_SD_NOTIFY
-	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
+	SYSTEMD_CFLAGS_STATUS := $(.SHELLSTATUS)
+	SYSTEMD_LDFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --libs libsystemd)
+	SYSTEMD_LDFLAGS_STATUS := $(.SHELLSTATUS)
+else
+	SYSTEMD_CFLAGS_STATUS := 0
+	SYSTEMD_LDFLAGS_STATUS := 0
 endif
 
-ifeq (, $(shell $(PKG_CONFIG) --libs "libquorum >= 3.1.0"))
-	 $(error "Requires libquorum at least version 3.1.0")
-endif
+CPG_CFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags libcpg libcmap libcfg "libquorum >= 3.1.0")
+CPG_CFLAGS_STATUS := $(.SHELLSTATUS)
+
+CPG_LDFLAGS += $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --libs libcpg libcmap libcfg "libquorum >= 3.1.0")
+CPG_LDFLAGS_STATUS := $(.SHELLSTATUS)
 
 all: $(LIB_TARGET) $(BIN_TARGET) $(LIB_PC)
 
 $(BIN_TARGET): $(BIN_SOURCE)
-	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(BIN_LDFLAGS) -o $@ -L.
+ifneq ($(CPG_CFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for corosync cflags: $(CPG_CFLAGS)")
+endif
+ifneq ($(CPG_LDFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for corosync ldflags: $(CPG_LDFLAGS)")
+endif
+ifneq ($(SYSTEMD_CFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for systemd cflags: $(SYSTEMD_CFLAGS)")
+endif
+ifneq ($(SYSTEMD_LDFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for systemd ldflags: $(SYSTEMD_LDFLAGS)")
+endif
+	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(CPG_CFLAGS) $(SYSTEMD_CFLAGS) $(BIN_LDFLAGS) $(CPG_LDFLAGS) $(SYSTEMD_LDFLAGS) -o $@ -L.
 
 $(LIB_TARGET): $(LIB_SOURCE)
 	$(CC) $^ $(LIB_CFLAGS) $(LIB_LDFLAGS) -shared -o $@ -Wl,-soname=$(LIB_SMAJOR)

=== dlm_tool/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
 	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
 	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
-	-fstack-clash-protection -fcf-protection=full
+	-fstack-clash-protection
 
 CFLAGS += -fPIE -DPIE
 CFLAGS += -I../include -I../libdlm -I../dlm_controld

=== fence/Makefile ===
--- 
+++ 
@@ -15,21 +15,27 @@
 	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
 	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
 	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
-	-fstack-clash-protection -Wl,-z,now
+	-fstack-clash-protection
 
 CFLAGS += -fPIE -DPIE
-CFLAGS += `xml2-config --cflags`
 CFLAGS += -I../include
-CFLAGS += $(shell pkg-config --cflags pacemaker-fencing)
 
-LDFLAGS += -Wl,-z,relro -Wl,-z,defs -pie
-LDFLAGS += `xml2-config --libs`
+PKG_CONFIG ?= pkg-config
+PKG_CONFIG_FLAGS := --errors-to-stdout
+
+PACEMAKER_CFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags pacemaker-fencing)
+PACEMAKER_CFLAGS_STATUS := $(.SHELLSTATUS)
+
+LDFLAGS += -Wl,-z,relro -Wl,-z,now -pie
 LDFLAGS += -ldl
 
 all: $(BIN_TARGET)
 
 $(BIN_TARGET): $(BIN_SOURCE)
-	$(CC) $(BIN_SOURCE) $(CFLAGS) $(LDFLAGS) -o $@ -L.
+ifneq ($(PACEMAKER_CFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for pacemaker cflags: $(PACEMAKER_CFLAGS)")
+endif
+	$(CC) $(BIN_SOURCE) $(CFLAGS) $(PACEMAKER_CFLAGS) $(LDFLAGS) -o $@ -L.
 
 clean:
 	rm -f *.o *.so *.so.* $(BIN_TARGET)

=== libdlm/Makefile ===
--- 
+++ 
@@ -80,8 +80,8 @@
 	-fdiagnostics-show-option \
 	-fPIC
 
-LIB_CFLAGS += $(CFLAGS) -D_REENTRANT -fcf-protection=full
-LLT_CFLAGS += $(CFLAGS) -fcf-protection=full
+LIB_CFLAGS += $(CFLAGS) -D_REENTRANT
+LLT_CFLAGS += $(CFLAGS)
 
 LIB_LDFLAGS += $(LDFLAGS) -lpthread -Wl,-z,now
 LLT_LDFLAGS += $(LDFLAGS) -Wl,-z,now
@@ -108,7 +108,7 @@
 	cat $(LIB_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@
 
 $(LLT_PC): $(LLT_PCIN)
-	cat $(LIB_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@
+	cat $(LLT_PCIN) | sed -e 's#@PREFIX@#$(PREFIX)#g;s#@LIBDIR@#$(LIBDIR)#g' > $@
 
 clean:
 	rm -f *.o *.so *.so.* *.a *.pc

=== debian/changelog ===
dlm (4.3.0-3build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:28 +0200

dlm (4.3.0-3) unstable; urgency=medium

  * [4274c70] Store whole journal contents when service start fails
  * [21bf20c] Update Standards-Version to 4.7.2 (no changes required)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 May 2025 21:54:55 +0200

dlm (4.3.0-2) unstable; urgency=medium

  * [df8434c] Add postinst script to reload udev rules (Closes: #1098675)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 06 Mar 2025 00:03:04 +0100

dlm (4.3.0-1) unstable; urgency=medium

  * [9653793] New upstream release (4.3.0)
  * [8a65b69] Delete upstream patches, refresh the rest

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 19:28:04 +0200

dlm (4.2.0-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [2755925] Delegate placement of udev files to pkg-config data (Closes:
    #1057751)

  [ Valentin Vidic ]
  * [3d237e4] Update Build-Depends pkg-config to pkgconf
  * [f2b7a9c] Update Standards-Version to 4.7.0 (no changes required)
  * [556159d] Update patches forwarded status
  * [4339b52] Update lintian-overrides for new location of udev rules

 -- Valentin Vidic <vvidic@debian.org>  Sat, 11 May 2024 15:03:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +15,8 @@
  libsystemd-dev,
  libxml2-dev,
  pacemaker-dev,
- pkg-config,
+ pkgconf,
+ systemd-dev,
  uuid-dev,
 Homepage: https://pagure.io/dlm
 Vcs-Browser: https://salsa.debian.org/ha-team/dlm

=== debian/watch ===
version=4
https://releases.pagure.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
